=== modified file 'Mailman/Cgi/admin.py'
--- Mailman/Cgi/admin.py	2018-06-21 16:23:09 +0000
+++ Mailman/Cgi/admin.py	2018-06-22 00:34:52 +0000
@@ -295,7 +295,7 @@
             else:
                 advertised.append((mlist.GetScriptURL('admin'),
                                    mlist.real_name,
-                                   mlist.GetDescription()))
+                                   Utils.websafe(mlist.GetDescription())))
     # Greeting depends on whether there was an error or not
     if msg:
         greeting = FontAttr(msg, color="ff5060", size="+1")

=== modified file 'Mailman/HTMLFormatter.py'
--- Mailman/HTMLFormatter.py	2018-06-17 23:47:34 +0000
+++ Mailman/HTMLFormatter.py	2018-06-22 00:34:52 +0000
@@ -389,11 +389,16 @@
             listlangs = _(Utils.GetLanguageDescr(self.preferred_language))
         else:
             listlangs = self.GetLangSelectBox(lang).Format()
+        if lang:
+            cset = Utils.GetCharSet(lang) or 'us-ascii'
+        else:
+            cset = Utils.GetCharSet(self.preferred_language) or 'us-ascii'
         d = {
             '<mm-mailman-footer>' : self.GetMailmanFooter(),
             '<mm-list-name>' : self.real_name,
             '<mm-email-user>' : self._internal_name,
-            '<mm-list-description>' : Utils.websafe(self.description),
+            '<mm-list-description>' :
+                Utils.websafe(self.GetDescription(cset)),
             '<mm-list-info>' : 
                 '<!---->' + BR.join(self.info.split(NL)) + '<!---->',
             '<mm-form-end>'  : self.FormatFormEnd(),

